Debian Bug report logs - #733822
ITP: nagiosplugin -- Python class library for writing Nagios (Icinga)

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jordan Metzmeier <jmetzmeier01@gmail.com>

Date: Tue, 31 Dec 2013 21:39:02 UTC

Owned by: Jordan Metzmeier <jmetzmeier01@gmail.com>

Severity: wishlist

Fixed in version nagiosplugin/1.2-1

Done: Jan Dittberner <jandd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#733822; Package wnpp. (Tue, 31 Dec 2013 21:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jordan Metzmeier <jmetzmeier01@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 31 Dec 2013 21:39:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jordan Metzmeier <jmetzmeier01@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: python-nagiosplugin -- Python class library for writing Nagios (Icinga)
Date: Tue, 31 Dec 2013 15:34:18 -0600
Package: wnpp
Severity: wishlist
Owner: Jordan Metzmeier <jmetzmeier01@gmail.com>

* Package name    : python-nagiosplugin
  Version         : 1.2
  Upstream Author : Christian Kauhaus <kc@gocept.com>
* URL             : https://projects.gocept.com/projects/nagiosplugin
* License         : Zope Public License (ZPL) Version 2.1
  Programming Lang: Python
  Description     : Python class library for writing Nagios (Icinga) plugins

  nagiosplugin is a Python class library which helps writing Nagios
  (or Icinga) compatible plugins easily in Python. It cares for much of
  the boilerplate code and default logic commonly found in Nagios
  checks, including:

      - Nagios 3 Plugin API compliant parameters and output formatting
      - Full Nagios range syntax support
      - Automatic threshold checking
      - Multiple independend measures
      - Custom status line to communicate the main point quickly
      - Long output and performance data
      - Timeout handling
      - Persistent "cookies" to retain state information between check runs
      - Resume log file processing at the point where the last run left
      - No dependencies beyond the Python standard library (except for
Python 2.6).


-- 
Jordan Metzmeier



Added blocking bug(s) of 733822: 734019 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 03 Jan 2014 16:30:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: nagiosplugin -- Python class library for writing Nagios (Icinga)' from 'ITP: python-nagiosplugin -- Python class library for writing Nagios (Icinga)' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Mon, 20 Jan 2014 06:57:31 GMT) Full text and rfc822 format available.

Reply sent to Jan Dittberner <jandd@debian.org>:
You have taken responsibility. (Tue, 25 Feb 2014 16:03:14 GMT) Full text and rfc822 format available.

Notification sent to Jordan Metzmeier <jmetzmeier01@gmail.com>:
Bug acknowledged by developer. (Tue, 25 Feb 2014 16:03:14 GMT) Full text and rfc822 format available.

Message #14 received at 733822-close@bugs.debian.org (full text, mbox):

From: Jan Dittberner <jandd@debian.org>
To: 733822-close@bugs.debian.org
Subject: Bug#733822: fixed in nagiosplugin 1.2-1
Date: Tue, 25 Feb 2014 16:00:07 +0000
Source: nagiosplugin
Source-Version: 1.2-1

We believe that the bug you reported is fixed in the latest version of
nagiosplugin, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 733822@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jan Dittberner <jandd@debian.org> (supplier of updated nagiosplugin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 31 Dec 2013 13:39:12 -0600
Source: nagiosplugin
Binary: python-nagiosplugin
Architecture: source all
Version: 1.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Jan Dittberner <jandd@debian.org>
Description: 
 python-nagiosplugin - Python class library for writing Nagios (Icinga) plugins
Closes: 733822
Changes: 
 nagiosplugin (1.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #733822).
Checksums-Sha1: 
 ab6371e32021d163cd3b6cb1e696a5be3677fc81 1706 nagiosplugin_1.2-1.dsc
 9d9fd7734f38338f285198631d7d31d2d22481cd 36681 nagiosplugin_1.2.orig.tar.gz
 e7b66c38c636327daaede46cf6d355bc9c46634a 2908 nagiosplugin_1.2-1.debian.tar.xz
 519d9d8323e8a512ff3eb2a7121bbe8faff0408e 32636 python-nagiosplugin_1.2-1_all.deb
Checksums-Sha256: 
 d7aea7aa33a6f15316eba1345a3fd9ba0f2a235f55347f9e86fca55e4fdaec63 1706 nagiosplugin_1.2-1.dsc
 11886320efe8b9410b9e22fd419ad36b53e3222e03c3de7cfd557925c6114883 36681 nagiosplugin_1.2.orig.tar.gz
 4e0ee817e716c37782f5ce2b7ae2308e4559a6fb28b67dfdd40e96f3d1ed6e89 2908 nagiosplugin_1.2-1.debian.tar.xz
 8d28ad5027f4f7fd8b6d79a16856807d053976d99b1d168ae92bba0a9fcd6bd8 32636 python-nagiosplugin_1.2-1_all.deb
Files: 
 2fa917e329640e37d25b40f0ecde2dca 1706 python optional nagiosplugin_1.2-1.dsc
 b477afa9a87c9bd60a584839a91a91bc 36681 python optional nagiosplugin_1.2.orig.tar.gz
 a41e880ff31ee9acd8e3a9d0ec8a282c 2908 python optional nagiosplugin_1.2-1.debian.tar.xz
 620dae626c04fde22d424aad74585a0e 32636 python optional python-nagiosplugin_1.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQEcBAEBCAAGBQJTBd5aAAoJEA15HcjXN8HZ/IYIAJeFb/BXN0hnRo9j/mKv0Y2i
qLDqM2RPmhdLxV3T7VL5DTFMI+3OqWz6nVpZivAXjQ2zYD7cvyiEntBt1obBPhbb
/N7bh+7hDrBdkCHeGWqxKaLkHN8uQH7A2W7dlt8XiwN1+6Q/Me77iSfPGkF2pvXD
kfLC6Ntnn52ag/iSKisstikq2bwIyY3PNGBOj/w7i7jKEqlbOeZbD/JYZIdfqQ0I
zMU1SscUCdM1e/fDL2YMgurexuQpNH9UTifRxo4DKXBfbzqbZVHbBtgkBUD189ff
AQmgkCGtaEF0jUD8QXjTSE+drZcpqq3tL8Cxoh64sq8Q0hKRpye2AvOTkTYdLtA=
=tta7
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Mar 2014 07:28:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:56:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.